function LoadAutoTOC(IntoElement)
{
	if ( ! IntoElement )
		IntoElement = document.getElementById("TOC")
	;
	var Result = "";
	var Nodes = document.body.childNodes;

	var I, iNode, ThisNode, HDepth, Nom, BaseNom;
	var H = Nodes.length - 1;
	var NomPool = [];
	for ( iNode = 0; iNode <= H; ++iNode )
	{
		ThisNode = Nodes[iNode];
		if ( ! ThisNode ) continue;
		if ( ! ThisNode.tagName ) continue;
		if ( ThisNode.tagName.slice(0, 1) != "H" ) continue;
		HDepth = Number(ThisNode.tagName.slice(1));
		if ( isNaN(HDepth) ) continue; //HR or something.



		BaseNom = ThisNode.innerHTML;
		I = BaseNom.indexOf("<");
		if ( I >= 0 ) BaseNom = BaseNom.slice(0, I).trim();

		Nom = BaseNom;
		I = 0;
		while ( NomPool.indexOf(Nom) >= 0 )
		{
			++I;
			Nom = BaseNom + I;
		}
		NomPool.push(Nom);

		ThisNode.setAttribute("ID", Nom);
		Result = Result + ("<A HREF=\"#" + Nom + "\" TOC" + HDepth + ">" + BaseNom + "</A><BR>");
	}
	IntoElement.innerHTML = Result;
}

